Name:			perl-Spreadsheet-WriteExcel
Version:		2.36
Release:		2%{?dist}
Summary:		Write formatted text and numbers to a cross-platform Excel binary file

Group:			Development/Libraries
License:		GPL+ or Artistic
URL:			http://search.cpan.org/dist/Spreadsheet-WriteExcel
Source0:		http://cpan.org/authors/id/J/JM/JMCNAMARA/Spreadsheet-WriteExcel-%{version}.tar.gz
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:		noarch
BuildRequires:		perl-Parse-RecDescent, perl(Test::More), perl(OLE::Storage_Lite) >= 0.19
Requires:		perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:		perl(Date::Calc), perl(Date::Manip), perl(Parse::RecDescent)
Requires:		perl(OLE::Storage_Lite) >= 0.19

%description
The Spreadsheet::WriteExcel module can be used to create a cross-
platform Excel binary file. Multiple worksheets can be added to a
workbook and formatting can be applied to cells. Text, numbers,
formulas, hyperlinks and images can be written to the cells.

The Excel file produced by this module is compatible with 97,
2000, 2002 and 2003.

The module will work on the majority of Windows, UNIX and
Macintosh platforms. Generated files are also compatible with the
spreadsheet applications Gnumeric and OpenOffice.org.

This module cannot be used to read an Excel file. See
Spreadsheet::ParseExcel or look at the main documentation for some
suggestions. This module cannot be used to write to an existing
Excel file.

%prep
%setup -q -n Spreadsheet-WriteExcel-%{version} 
%{__perl} -pi -e 's/\r\n/\n/g' Changes README bin/chartex \
     doc/*.html examples/{README,*.{pl,txt}}

# make sure doc/tests don't generate provides
# note we first filter out the bits in _docdir...
cat << \EOF > %{name}-prov
#!/bin/sh
%{__perl_provides} `perl -p -e 's|\S+%{_docdir}/%{name}-%{version}\S+||'`
EOF

%define __perl_provides %{_builddir}/Spreadsheet-WriteExcel-%{version}/%{name}-prov
chmod +x %{__perl_provides}

cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} `perl -p -e 's|\S+%{_docdir}/%{name}-%{version}\S+||'`
EOF

%define __perl_requires %{_builddir}/Spreadsheet-WriteExcel-%{version}/%{name}-req
chmod +x %{__perl_requires}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README docs/ examples/
%{_bindir}/chartex
%{perl_vendorlib}/Spreadsheet/
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*

%changelog
* Thu May 06 2010 Marcela Maslanova <mmaslano@redhat.com> - 2.36-2
- Mass rebuild with perl-5.12.0

* Wed Jan 27 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 2.36-1
- update to 2.36

* Fri Jan  8 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 2.34-1
- update to 2.34

* Mon Dec  7 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 2.30-1
- update to 2.30

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 2.25-3
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.25-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Mar 13 2009 Tom "spot" Callaway <tcallawa@redhat.com> 2.25-1
- update to 2.25

* Fri Feb 27 2009 Chris Weyl <cweyl@alumni.drew.edu> 2.21-3
- remove new provides/requires rpm is finding on f11 (RHBZ#473874, also
  visible at http://tinyurl.com/cp75ml koji build log for 2.21-2/f11)

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.21-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jun  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> 2.21-1
- update to 2.21

* Fri Feb  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> 2.20-2
- rebuild for new perl

* Wed Nov 28 2007 Tom "spot" Callaway <tcallawa@redhat.com> 2.20-1
- 2.20

* Sun Aug 26 2007 Tom "spot" Callaway <tcallawa@redhat.com> 2.18-1
- 2.18
- license tag fix

* Fri Sep 15 2006 Tom "spot" Callaway <tcallawa@redhat.com> 2.17-2
- bump for fc6

* Fri Jul  7 2006 Tom "spot" Callaway <tcallawa@redhat.com> 2.17-1
- bump to 2.17

* Fri Mar 31 2006 Tom "spot" Callaway <tcallawa@redhat.com> 2.16-1
- bump to 2.16

* Tue Jan 10 2006 Tom "spot" Callaway <tcallawa@redhat.com> 2.15-1
- bump to 2.15

* Wed May 11 2005 Oliver Falk <oliver@linux-kernel.at>		- 2.14-1
- Update
- Add a complete URL for Source0
- Beautifying (fix identations and make it look more like the
  spectemplate-perl.spec)

* Tue May 10 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.13-3
- more spec cleanups

* Sun Apr 24 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.13-2
- spec cleanups

* Thu Apr 21 2005 Oliver Falk <oliver@linux-kernel.at> 2.13-1
- Update

* Thu Apr 14 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.12-3
- rework spec to match template
- set to noarch

* Thu Apr 14 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.12-2
- Add MODULE_COMPAT requires line

* Fri Apr 1 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.12-1
- initial package
